<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();
$set['title']='Персональный статус';
include_once 'sys/inc/thead.php';
title();
if (isset($user) & $user['rating']<=199)
{
if ($user['pol']==0){echo "Привет <span style=\"color:$user[ncolor]\">$user[nick]</span>! \n";} else {echo "Привет <span style=\"color:$user[ncolor]\">$user[nick]</span>! <br/>\n";}
echo "Смена персонального статуса рейтинга доступна после того,как получишь серебрянную медаль<br/>Ваш рейтинг пока что <b>$user[rating] %</b> \n";
}
else
{
if (isset($_POST['save'])){
if (isset($_POST['srating']) && strlen2($_POST['srating'])<=20)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['srating']))$err[]='Используются запрещенные символы';
else {
$user['srating']=$_POST['srating'];
mysql_query("UPDATE `user` SET `srating` = '".my_esc($user['srating'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='Лимит символов исчерпан, нужно писать меньше :)';


$q = mysql_query("SELECT * FROM `fanat` WHERE `user` = '$user[id]' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

$msg_lenta="Изменил персональный статус рейтинга!";

mysql_query("INSERT INTO `lenta` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_lenta', '$time')"); 
}
if (!isset($err))msg('Ваш статус сохранен');
}
err();
echo "<div class='rekl'>";
echo "<font color='red'>Ваш текущий статус:</font><br />\n";
if ($user['srating']!=NULL)
echo "<img src='/style/stat.png'><span style=\"color:$user[mcolor]\"> $user[srating]</span>\n";
else
echo "<img src='/style/stat.png'> <font color='red'>Лидер</font>\n";
echo "<form method='post' action='?$passgen'>\n";
echo "\n<input type='text' name='srating' value='".output_text($user['srating'],false)."' maxlength='20' /><br />\n";

echo "<input type='submit' name='save' value='Сохранить (max 20)' />\n";
echo "</form>\n";
echo '</div>';
echo "<div class='rekl'>";

echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo "<a href='info.php'>Моя страничка</a><br />\n";
echo '</div>';
}
include_once 'sys/inc/tfoot.php';
?>